Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Prefix/120
Addresses256
/64 networksPart of one
Network
64:ff9b::e60:e200/120
First address
64:ff9b::e60:e200
Last address
64:ff9b::e60:e2ff
Addresses
256
/64 networks (LANs)
None: smaller than one /64 LAN
Full form
0064:ff9b:0000:0000:0000:0000:0e60:e200
Type
NAT64 64:ff9b::/96
IPv4 addresses reached through a NAT64 gateway
Reverse DNS zone
2.e.0.6.e.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.b.9.f.f.4.6.0.0.ip6.arpa
Split into smaller subnets/128

64:ff9b::e60:e200/120 makes 256 subnets of /128.

Subnets
#SubnetLast address
164:ff9b::e60:e200/12864:ff9b::e60:e200
264:ff9b::e60:e201/12864:ff9b::e60:e201
364:ff9b::e60:e202/12864:ff9b::e60:e202
464:ff9b::e60:e203/12864:ff9b::e60:e203
564:ff9b::e60:e204/12864:ff9b::e60:e204
664:ff9b::e60:e205/12864:ff9b::e60:e205
764:ff9b::e60:e206/12864:ff9b::e60:e206
864:ff9b::e60:e207/12864:ff9b::e60:e207
964:ff9b::e60:e208/12864:ff9b::e60:e208
1064:ff9b::e60:e209/12864:ff9b::e60:e209
1164:ff9b::e60:e20a/12864:ff9b::e60:e20a
1264:ff9b::e60:e20b/12864:ff9b::e60:e20b
1364:ff9b::e60:e20c/12864:ff9b::e60:e20c
1464:ff9b::e60:e20d/12864:ff9b::e60:e20d
1564:ff9b::e60:e20e/12864:ff9b::e60:e20e
1664:ff9b::e60:e20f/12864:ff9b::e60:e20f
1764:ff9b::e60:e210/12864:ff9b::e60:e210
1864:ff9b::e60:e211/12864:ff9b::e60:e211
1964:ff9b::e60:e212/12864:ff9b::e60:e212
2064:ff9b::e60:e213/12864:ff9b::e60:e213
2164:ff9b::e60:e214/12864:ff9b::e60:e214
2264:ff9b::e60:e215/12864:ff9b::e60:e215
2364:ff9b::e60:e216/12864:ff9b::e60:e216
2464:ff9b::e60:e217/12864:ff9b::e60:e217
2564:ff9b::e60:e218/12864:ff9b::e60:e218
2664:ff9b::e60:e219/12864:ff9b::e60:e219
2764:ff9b::e60:e21a/12864:ff9b::e60:e21a
2864:ff9b::e60:e21b/12864:ff9b::e60:e21b
2964:ff9b::e60:e21c/12864:ff9b::e60:e21c
3064:ff9b::e60:e21d/12864:ff9b::e60:e21d
3164:ff9b::e60:e21e/12864:ff9b::e60:e21e
3264:ff9b::e60:e21f/12864:ff9b::e60:e21f
3364:ff9b::e60:e220/12864:ff9b::e60:e220
3464:ff9b::e60:e221/12864:ff9b::e60:e221
3564:ff9b::e60:e222/12864:ff9b::e60:e222
3664:ff9b::e60:e223/12864:ff9b::e60:e223
3764:ff9b::e60:e224/12864:ff9b::e60:e224
3864:ff9b::e60:e225/12864:ff9b::e60:e225
3964:ff9b::e60:e226/12864:ff9b::e60:e226
4064:ff9b::e60:e227/12864:ff9b::e60:e227
4164:ff9b::e60:e228/12864:ff9b::e60:e228
4264:ff9b::e60:e229/12864:ff9b::e60:e229
4364:ff9b::e60:e22a/12864:ff9b::e60:e22a
4464:ff9b::e60:e22b/12864:ff9b::e60:e22b
4564:ff9b::e60:e22c/12864:ff9b::e60:e22c
4664:ff9b::e60:e22d/12864:ff9b::e60:e22d
4764:ff9b::e60:e22e/12864:ff9b::e60:e22e
4864:ff9b::e60:e22f/12864:ff9b::e60:e22f
4964:ff9b::e60:e230/12864:ff9b::e60:e230
5064:ff9b::e60:e231/12864:ff9b::e60:e231
5164:ff9b::e60:e232/12864:ff9b::e60:e232
5264:ff9b::e60:e233/12864:ff9b::e60:e233
5364:ff9b::e60:e234/12864:ff9b::e60:e234
5464:ff9b::e60:e235/12864:ff9b::e60:e235
5564:ff9b::e60:e236/12864:ff9b::e60:e236
5664:ff9b::e60:e237/12864:ff9b::e60:e237
5764:ff9b::e60:e238/12864:ff9b::e60:e238
5864:ff9b::e60:e239/12864:ff9b::e60:e239
5964:ff9b::e60:e23a/12864:ff9b::e60:e23a
6064:ff9b::e60:e23b/12864:ff9b::e60:e23b
6164:ff9b::e60:e23c/12864:ff9b::e60:e23c
6264:ff9b::e60:e23d/12864:ff9b::e60:e23d
6364:ff9b::e60:e23e/12864:ff9b::e60:e23e
6464:ff9b::e60:e23f/12864:ff9b::e60:e23f
6564:ff9b::e60:e240/12864:ff9b::e60:e240
6664:ff9b::e60:e241/12864:ff9b::e60:e241
6764:ff9b::e60:e242/12864:ff9b::e60:e242
6864:ff9b::e60:e243/12864:ff9b::e60:e243
6964:ff9b::e60:e244/12864:ff9b::e60:e244
7064:ff9b::e60:e245/12864:ff9b::e60:e245
7164:ff9b::e60:e246/12864:ff9b::e60:e246
7264:ff9b::e60:e247/12864:ff9b::e60:e247
7364:ff9b::e60:e248/12864:ff9b::e60:e248
7464:ff9b::e60:e249/12864:ff9b::e60:e249
7564:ff9b::e60:e24a/12864:ff9b::e60:e24a
7664:ff9b::e60:e24b/12864:ff9b::e60:e24b
7764:ff9b::e60:e24c/12864:ff9b::e60:e24c
7864:ff9b::e60:e24d/12864:ff9b::e60:e24d
7964:ff9b::e60:e24e/12864:ff9b::e60:e24e
8064:ff9b::e60:e24f/12864:ff9b::e60:e24f
8164:ff9b::e60:e250/12864:ff9b::e60:e250
8264:ff9b::e60:e251/12864:ff9b::e60:e251
8364:ff9b::e60:e252/12864:ff9b::e60:e252
8464:ff9b::e60:e253/12864:ff9b::e60:e253
8564:ff9b::e60:e254/12864:ff9b::e60:e254
8664:ff9b::e60:e255/12864:ff9b::e60:e255
8764:ff9b::e60:e256/12864:ff9b::e60:e256
8864:ff9b::e60:e257/12864:ff9b::e60:e257
8964:ff9b::e60:e258/12864:ff9b::e60:e258
9064:ff9b::e60:e259/12864:ff9b::e60:e259
9164:ff9b::e60:e25a/12864:ff9b::e60:e25a
9264:ff9b::e60:e25b/12864:ff9b::e60:e25b
9364:ff9b::e60:e25c/12864:ff9b::e60:e25c
9464:ff9b::e60:e25d/12864:ff9b::e60:e25d
9564:ff9b::e60:e25e/12864:ff9b::e60:e25e
9664:ff9b::e60:e25f/12864:ff9b::e60:e25f
9764:ff9b::e60:e260/12864:ff9b::e60:e260
9864:ff9b::e60:e261/12864:ff9b::e60:e261
9964:ff9b::e60:e262/12864:ff9b::e60:e262
10064:ff9b::e60:e263/12864:ff9b::e60:e263
10164:ff9b::e60:e264/12864:ff9b::e60:e264
10264:ff9b::e60:e265/12864:ff9b::e60:e265
10364:ff9b::e60:e266/12864:ff9b::e60:e266
10464:ff9b::e60:e267/12864:ff9b::e60:e267
10564:ff9b::e60:e268/12864:ff9b::e60:e268
10664:ff9b::e60:e269/12864:ff9b::e60:e269
10764:ff9b::e60:e26a/12864:ff9b::e60:e26a
10864:ff9b::e60:e26b/12864:ff9b::e60:e26b
10964:ff9b::e60:e26c/12864:ff9b::e60:e26c
11064:ff9b::e60:e26d/12864:ff9b::e60:e26d
11164:ff9b::e60:e26e/12864:ff9b::e60:e26e
11264:ff9b::e60:e26f/12864:ff9b::e60:e26f
11364:ff9b::e60:e270/12864:ff9b::e60:e270
11464:ff9b::e60:e271/12864:ff9b::e60:e271
11564:ff9b::e60:e272/12864:ff9b::e60:e272
11664:ff9b::e60:e273/12864:ff9b::e60:e273
11764:ff9b::e60:e274/12864:ff9b::e60:e274
11864:ff9b::e60:e275/12864:ff9b::e60:e275
11964:ff9b::e60:e276/12864:ff9b::e60:e276
12064:ff9b::e60:e277/12864:ff9b::e60:e277
12164:ff9b::e60:e278/12864:ff9b::e60:e278
12264:ff9b::e60:e279/12864:ff9b::e60:e279
12364:ff9b::e60:e27a/12864:ff9b::e60:e27a
12464:ff9b::e60:e27b/12864:ff9b::e60:e27b
12564:ff9b::e60:e27c/12864:ff9b::e60:e27c
12664:ff9b::e60:e27d/12864:ff9b::e60:e27d
12764:ff9b::e60:e27e/12864:ff9b::e60:e27e
12864:ff9b::e60:e27f/12864:ff9b::e60:e27f
12964:ff9b::e60:e280/12864:ff9b::e60:e280
13064:ff9b::e60:e281/12864:ff9b::e60:e281
13164:ff9b::e60:e282/12864:ff9b::e60:e282
13264:ff9b::e60:e283/12864:ff9b::e60:e283
13364:ff9b::e60:e284/12864:ff9b::e60:e284
13464:ff9b::e60:e285/12864:ff9b::e60:e285
13564:ff9b::e60:e286/12864:ff9b::e60:e286
13664:ff9b::e60:e287/12864:ff9b::e60:e287
13764:ff9b::e60:e288/12864:ff9b::e60:e288
13864:ff9b::e60:e289/12864:ff9b::e60:e289
13964:ff9b::e60:e28a/12864:ff9b::e60:e28a
14064:ff9b::e60:e28b/12864:ff9b::e60:e28b
14164:ff9b::e60:e28c/12864:ff9b::e60:e28c
14264:ff9b::e60:e28d/12864:ff9b::e60:e28d
14364:ff9b::e60:e28e/12864:ff9b::e60:e28e
14464:ff9b::e60:e28f/12864:ff9b::e60:e28f
14564:ff9b::e60:e290/12864:ff9b::e60:e290
14664:ff9b::e60:e291/12864:ff9b::e60:e291
14764:ff9b::e60:e292/12864:ff9b::e60:e292
14864:ff9b::e60:e293/12864:ff9b::e60:e293
14964:ff9b::e60:e294/12864:ff9b::e60:e294
15064:ff9b::e60:e295/12864:ff9b::e60:e295
15164:ff9b::e60:e296/12864:ff9b::e60:e296
15264:ff9b::e60:e297/12864:ff9b::e60:e297
15364:ff9b::e60:e298/12864:ff9b::e60:e298
15464:ff9b::e60:e299/12864:ff9b::e60:e299
15564:ff9b::e60:e29a/12864:ff9b::e60:e29a
15664:ff9b::e60:e29b/12864:ff9b::e60:e29b
15764:ff9b::e60:e29c/12864:ff9b::e60:e29c
15864:ff9b::e60:e29d/12864:ff9b::e60:e29d
15964:ff9b::e60:e29e/12864:ff9b::e60:e29e
16064:ff9b::e60:e29f/12864:ff9b::e60:e29f
16164:ff9b::e60:e2a0/12864:ff9b::e60:e2a0
16264:ff9b::e60:e2a1/12864:ff9b::e60:e2a1
16364:ff9b::e60:e2a2/12864:ff9b::e60:e2a2
16464:ff9b::e60:e2a3/12864:ff9b::e60:e2a3
16564:ff9b::e60:e2a4/12864:ff9b::e60:e2a4
16664:ff9b::e60:e2a5/12864:ff9b::e60:e2a5
16764:ff9b::e60:e2a6/12864:ff9b::e60:e2a6
16864:ff9b::e60:e2a7/12864:ff9b::e60:e2a7
16964:ff9b::e60:e2a8/12864:ff9b::e60:e2a8
17064:ff9b::e60:e2a9/12864:ff9b::e60:e2a9
17164:ff9b::e60:e2aa/12864:ff9b::e60:e2aa
17264:ff9b::e60:e2ab/12864:ff9b::e60:e2ab
17364:ff9b::e60:e2ac/12864:ff9b::e60:e2ac
17464:ff9b::e60:e2ad/12864:ff9b::e60:e2ad
17564:ff9b::e60:e2ae/12864:ff9b::e60:e2ae
17664:ff9b::e60:e2af/12864:ff9b::e60:e2af
17764:ff9b::e60:e2b0/12864:ff9b::e60:e2b0
17864:ff9b::e60:e2b1/12864:ff9b::e60:e2b1
17964:ff9b::e60:e2b2/12864:ff9b::e60:e2b2
18064:ff9b::e60:e2b3/12864:ff9b::e60:e2b3
18164:ff9b::e60:e2b4/12864:ff9b::e60:e2b4
18264:ff9b::e60:e2b5/12864:ff9b::e60:e2b5
18364:ff9b::e60:e2b6/12864:ff9b::e60:e2b6
18464:ff9b::e60:e2b7/12864:ff9b::e60:e2b7
18564:ff9b::e60:e2b8/12864:ff9b::e60:e2b8
18664:ff9b::e60:e2b9/12864:ff9b::e60:e2b9
18764:ff9b::e60:e2ba/12864:ff9b::e60:e2ba
18864:ff9b::e60:e2bb/12864:ff9b::e60:e2bb
18964:ff9b::e60:e2bc/12864:ff9b::e60:e2bc
19064:ff9b::e60:e2bd/12864:ff9b::e60:e2bd
19164:ff9b::e60:e2be/12864:ff9b::e60:e2be
19264:ff9b::e60:e2bf/12864:ff9b::e60:e2bf
19364:ff9b::e60:e2c0/12864:ff9b::e60:e2c0
19464:ff9b::e60:e2c1/12864:ff9b::e60:e2c1
19564:ff9b::e60:e2c2/12864:ff9b::e60:e2c2
19664:ff9b::e60:e2c3/12864:ff9b::e60:e2c3
19764:ff9b::e60:e2c4/12864:ff9b::e60:e2c4
19864:ff9b::e60:e2c5/12864:ff9b::e60:e2c5
19964:ff9b::e60:e2c6/12864:ff9b::e60:e2c6
20064:ff9b::e60:e2c7/12864:ff9b::e60:e2c7
20164:ff9b::e60:e2c8/12864:ff9b::e60:e2c8
20264:ff9b::e60:e2c9/12864:ff9b::e60:e2c9
20364:ff9b::e60:e2ca/12864:ff9b::e60:e2ca
20464:ff9b::e60:e2cb/12864:ff9b::e60:e2cb
20564:ff9b::e60:e2cc/12864:ff9b::e60:e2cc
20664:ff9b::e60:e2cd/12864:ff9b::e60:e2cd
20764:ff9b::e60:e2ce/12864:ff9b::e60:e2ce
20864:ff9b::e60:e2cf/12864:ff9b::e60:e2cf
20964:ff9b::e60:e2d0/12864:ff9b::e60:e2d0
21064:ff9b::e60:e2d1/12864:ff9b::e60:e2d1
21164:ff9b::e60:e2d2/12864:ff9b::e60:e2d2
21264:ff9b::e60:e2d3/12864:ff9b::e60:e2d3
21364:ff9b::e60:e2d4/12864:ff9b::e60:e2d4
21464:ff9b::e60:e2d5/12864:ff9b::e60:e2d5
21564:ff9b::e60:e2d6/12864:ff9b::e60:e2d6
21664:ff9b::e60:e2d7/12864:ff9b::e60:e2d7
21764:ff9b::e60:e2d8/12864:ff9b::e60:e2d8
21864:ff9b::e60:e2d9/12864:ff9b::e60:e2d9
21964:ff9b::e60:e2da/12864:ff9b::e60:e2da
22064:ff9b::e60:e2db/12864:ff9b::e60:e2db
22164:ff9b::e60:e2dc/12864:ff9b::e60:e2dc
22264:ff9b::e60:e2dd/12864:ff9b::e60:e2dd
22364:ff9b::e60:e2de/12864:ff9b::e60:e2de
22464:ff9b::e60:e2df/12864:ff9b::e60:e2df
22564:ff9b::e60:e2e0/12864:ff9b::e60:e2e0
22664:ff9b::e60:e2e1/12864:ff9b::e60:e2e1
22764:ff9b::e60:e2e2/12864:ff9b::e60:e2e2
22864:ff9b::e60:e2e3/12864:ff9b::e60:e2e3
22964:ff9b::e60:e2e4/12864:ff9b::e60:e2e4
23064:ff9b::e60:e2e5/12864:ff9b::e60:e2e5
23164:ff9b::e60:e2e6/12864:ff9b::e60:e2e6
23264:ff9b::e60:e2e7/12864:ff9b::e60:e2e7
23364:ff9b::e60:e2e8/12864:ff9b::e60:e2e8
23464:ff9b::e60:e2e9/12864:ff9b::e60:e2e9
23564:ff9b::e60:e2ea/12864:ff9b::e60:e2ea
23664:ff9b::e60:e2eb/12864:ff9b::e60:e2eb
23764:ff9b::e60:e2ec/12864:ff9b::e60:e2ec
23864:ff9b::e60:e2ed/12864:ff9b::e60:e2ed
23964:ff9b::e60:e2ee/12864:ff9b::e60:e2ee
24064:ff9b::e60:e2ef/12864:ff9b::e60:e2ef
24164:ff9b::e60:e2f0/12864:ff9b::e60:e2f0
24264:ff9b::e60:e2f1/12864:ff9b::e60:e2f1
24364:ff9b::e60:e2f2/12864:ff9b::e60:e2f2
24464:ff9b::e60:e2f3/12864:ff9b::e60:e2f3
24564:ff9b::e60:e2f4/12864:ff9b::e60:e2f4
24664:ff9b::e60:e2f5/12864:ff9b::e60:e2f5
24764:ff9b::e60:e2f6/12864:ff9b::e60:e2f6
24864:ff9b::e60:e2f7/12864:ff9b::e60:e2f7
24964:ff9b::e60:e2f8/12864:ff9b::e60:e2f8
25064:ff9b::e60:e2f9/12864:ff9b::e60:e2f9
25164:ff9b::e60:e2fa/12864:ff9b::e60:e2fa
25264:ff9b::e60:e2fb/12864:ff9b::e60:e2fb
25364:ff9b::e60:e2fc/12864:ff9b::e60:e2fc
25464:ff9b::e60:e2fd/12864:ff9b::e60:e2fd
25564:ff9b::e60:e2fe/12864:ff9b::e60:e2fe
25664:ff9b::e60:e2ff/12864:ff9b::e60:e2ff

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses